Starmade | Unable to find new grate and pipe modules in shops, creative inventory, etc
Open, HighPublic

Description

Trying to trace this issue to its origins, the first hint might have been my January 27th slack posting:

Oy…I ran into this months ago, but now I can’t remember the fix for this bug, file exists but server keeps reporting missing file…
[CONFIG] CONFIG FILE IMPORT FOUND: /opt/prodStarmade/StarMade/./customBlockConfig/BlockConfigImport.xml
SMPrd: java.io.FileNotFoundException: /opt/prodStarmade/StarMade/./customBlockConfig/BlockConfigImport.xml (No such file or directory)

A followup discussion found no obvious issues. Cure was to restore a copy of /data/config/ from backup.

Two days later:

Gregg B Well, that’s the 2nd time I’ve had to restore StarMade/data/config/ from backup, following a routine/scheduled restart.
...
Contents haven’t changed in ~6 months or-so.
...
@Sean Sill So the log says it finds the file, then an exception is thrown saying there is no file there

@Gregg B Yep - permissions are all fine as well. File is there, contents are unchanged (as per MD5 checksum), and to restore server the file doesn’t need to be touched. Server is clearly erroring-out on something else, but reports /customBlockConfig/BlockConfigImport.xml as the culprit, despite nothing ever done w/ /customBlockConfig/BlockConfigImport.xml to bring the server back.

Files that changed during each restore from backup, as reported by rsync:

BlockConfig.xml
BlockTypes.properties
FactionConfig.xml
customBlockBehaviorConfigTemplate.xml
mainConfig.xml
vertexInfo.properties
defaultSettings/
defaultSettings/server.cfg
defaultSettings/settings.cfg

Then on Feb 5th, @lancake and I discussed T2213. I provided a copy of our BlockConfigImport.xml, and he found no issues with it after testing in SP; stating "...It's definitely not something related to your custom block config..."

Here's our BlockConfigImport.xml:

<Config>
        <Element>
                <General>
                        <Hulls>
                                <Grey>
                                        <Basic>
                                                <Block icon="530" name="Grey Hull" textureId="567" type="Grey_Hull">
                                                        <Price>10</Price>
                            <InShop>true</InShop>
                                                </Block>
                                        </Basic>
                                </Grey>
                        </Hulls>
            <Block icon="16" name="Power Reactor Module" textureId="268, 268, 268, 268, 268, 268" type="POWER_ID">
                                <Price>5000</Price>
                        </Block>
                        <Block icon="17" name="Warhead" textureId="422, 422, 421, 421, 422, 422" type="EXPLOSIVE_ID">
                                <InShop>true</InShop>
                <Price>100000</Price>
                        </Block>
                        <Block icon="620" name="Transporter Controller" textureId="549, 373, 371, 377, 550, 550" type="TRANSPORTER_CONTROLLER">
                                <InShop>true</InShop>
                <Price>100000</Price>
                        </Block>
                        <Block icon="621" name="Transporter Module" textureId="543, 544, 545, 545, 545, 545" type="TRANSPORTER_MODULE">
                                <InShop>true</InShop>
                <Price>100000</Price>
                        </Block>
                </General>
                <Ship>
                       <Shields>
                                <Block icon="23" name="Shield Capacitator" textureId="256, 256, 256, 256, 256, 256" type="SHIELD_ID">
                                        <InShop>true</InShop>
                    <Price>100000</Price>
                                </Block>
                                <Block icon="405" name="Shield-Recharger" textureId="260, 260, 260, 260, 260, 260" type="SHIELD_CAPACITY">
                                        <InShop>true</InShop>
                    <Price>100000</Price>
                                </Block>
                       </Shields>
                       <Effect>
                                <Block icon="387" name="Stop Effect Computer" textureId="355, 372, 371, 377, 356, 356" type="EFFECT_STOP_COMPUTER">
                                        <InShop>true</InShop>
                    <Price>100000</Price>
                                </Block>
                                <Block icon="388" name="Stop Effect Module" textureId="367, 367, 367, 367, 367, 367" type="EFFECT_STOP_MODULE">
                                        <InShop>true</InShop>
                    <Price>100000</Price>
                                </Block>
                       </Effect>
                       <SupportTools>
                                <Block icon="12" name="Shield Drain Computer" textureId="373, 320, 371, 377, 321, 321" type="MISSILE_HEAT_CONTROLLER_ID">
                                        <InShop>true</InShop>
                    <Price>100000</Price>
                                </Block>
                                <Block icon="13" name="Shield Drain Module" textureId="403, 404, 405, 405, 404, 404" type="MISSILE_HEAT_ID">
                                        <InShop>true</InShop>
                    <Price>100000</Price>
                                </Block>
                                <Block icon="14" name="Shield Supply Computer" textureId="375, 318, 371, 377, 319, 319" type="MISSILE_FAFO_CONTROLLER_ID">
                                        <InShop>true</InShop>
                    <Price>100000</Price>
                                </Block>
                                <Block icon="15" name="Shield Supply Module" textureId="400, 401, 402, 402, 401, 401" type="MISSILE_FAFO_ID">
                                        <InShop>true</InShop>
                    <Price>100000</Price>
                                </Block>
                       </SupportTools>
                        <Block icon="18" name="Cloaker" textureId="324, 373, 371, 377, 325, 325" type="CLOAKING_ID">
                                <InShop>true</InShop>
                <Price>100000</Price>
                        </Block>
                </Ship>
        </Element>
</Config>

We checked launcher version...found no issues...and that's where we left things until a player reported missing wedge and pipe blocks. Responding to the missing pipe/wedge blocks, on Feb 17th, @AndyP pointed out that our configs may not have the needed entries. I checked and confirmed entries were missing, first by running a simple case-insensitive recuvsive grep on /data/config/ ( grep -ir grate data/config/* ). Then by manually comparing a fresh "virgin" SP install's files to the running server's files:

~$ diff data/config/mainConfig.xml /opt/mainConfig.xml-virgin
49a50,52
>        <PipeElbow relpath="Pipe" filename="Pipe_Elbow"> </PipeElbow>
>        <PipeCross relpath="Pipe" filename="Pipe_Cross"> </PipeCross>
>        <PipeTee relpath="Pipe" filename="Pipe_Tee"> </PipeTee>
52c55,68
<        <LightBar relpath="LightBar" filename="LightBar"> </LightBar>
---
>        <LightBar relpath="Light" filename="LightBar"> </LightBar>
>        <LightCorner relpath="Light" filename="LightCorner"> </LightCorner>
>        <Grate relpath="Grate" filename="Grate"> </Grate>
>        <GrateCorner     relpath="Grate" filename="Grate_Corner"> </GrateCorner>
>        <GrateWedge  relpath="Grate" filename="Grate_Wedge"> </GrateWedge>
>        <BlackPaint  relpath="Paint" filename="Black_Paint"> </BlackPaint>
>        <BluePaint   relpath="Paint" filename="Blue_Paint"> </BluePaint>
>        <BrownPaint  relpath="Paint" filename="Brown_Paint"> </BrownPaint>
>        <GreenPaint  relpath="Paint" filename="Green_Paint"> </GreenPaint>
>        <OrangePaint     relpath="Paint" filename="Orange_Paint"> </OrangePaint>
>        <PurplePaint     relpath="Paint" filename="Purple_Paint"> </PurplePaint>
>        <RedPaint        relpath="Paint" filename="Red_Paint"> </RedPaint>
>        <WhitePaint  relpath="Paint" filename="White_Paint"> </WhitePaint>
>        <YellowPaint     relpath="Paint" filename="Yellow_Paint"> </YellowPaint>
~$ diff data/config/BlockTypes.properties /opt/BlockTypes.properties-virgin
930a931,938
> LOD_PIPE_TEE = 1000
> LOD_PIPE_ELBOW = 1001
> EXTENDED_TEXTURE_TEST_BLOCK = 1002
> GRATE = 1003
> GRATECORNER = 1004
> GRATEWEDGE = 1005
> LOD_PIPE_CROSS = 1006
> LIGHT_CORNER_WHITE=1007

While trying to get the grate/pipe blocks into our world, I replaced the entire /data/config/ folder with a copy from a virgin SP install. Server refused to start, looping on the following error:

Feb 19 15:58:49 stars SMPrd: [LIBLOADER] OS Linux - 2.6.32-042stab120.6
Feb 19 15:58:49 stars SMPrd: [LIBLOADER] JAVA Oracle Corporation - 1.8.0_92 - /usr/java/jdk1.8.0_92/jre
Feb 19 15:58:49 stars SMPrd: [LIBLOADER] ARCHITECTURE amd64
Feb 19 15:58:49 stars SMPrd: [LIBLOADER] LOADED LINUX 64bit NATIVE LIBRARIES
Feb 19 15:58:49 stars SMPrd: [LIBLOADER] FastNoiseSIMD Level: 2
Feb 19 15:58:49 stars SMPrd: [LIBLOADER] COMPLETE
Feb 19 15:58:49 stars SMPrd: [MAIN] CHECKING IF MIGRATION NECESSARY
Feb 19 15:58:49 stars SMPrd: [MAIN] MIGRATION PROCESS DONE
Feb 19 15:58:49 stars SMPrd: [MAIN] STARTING WITH ARGUMENTS: [-server]
Feb 19 15:58:49 stars SMPrd: [MAIN] LOADED ENGINE SETTINGS
Feb 19 15:58:49 stars SMPrd: [INITIALIZE] REMOTE CLASSES REGISTERED
Feb 19 15:58:49 stars SMPrd: [INITIALIZE] RESOURCE MANAGER INITIALIZED
Feb 19 15:58:49 stars SMPrd: ERROR: no content in Resource: /opt/prodStarmade/StarMade/file:/opt/prodStarmade/StarMade/StarMade.jar!/org/schema/game/network/c
ommands
Feb 19 15:58:49 stars SMPrd: ################# Loading from JAR #####################
Feb 19 15:58:49 stars SMPrd: ########################################################
Feb 19 15:58:49 stars SMPrd: [INITIALIZE] REMOTE COMMANDS REGISTERED
Feb 19 15:58:49 stars SMPrd: [INITIALIZE] SECURITY MANAGER SET
Feb 19 15:58:49 stars SMPrd: [INITIALIZE] COMMAND ID's ASSIGNED. NOW READING BLOCK CONFIG
Feb 19 15:58:49 stars SMPrd: [CONFIG] CONFIG FILE IMPORT FOUND: /opt/prodStarmade/StarMade/./customBlockConfig/BlockConfigImport.xml
Feb 19 15:58:49 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING name
Feb 19 15:58:49 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING price
Feb 19 15:58:49 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING name
Feb 19 15:58:49 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING price
Feb 19 15:58:49 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Warhead(14) buildIcon 17 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Warhead(14) buildIcon 17 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Warhead(14) buildIcon 17 MERGING name
Feb 19 15:58:49 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Warhead(14) buildIcon 17 MERGING price
Feb 19 15:58:49 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING name
Feb 19 15:58:49 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING price
Feb 19 15:58:49 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING name
Feb 19 15:58:49 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING price
Feb 19 15:58:49 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING name
Feb 19 15:58:49 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING price
Feb 19 15:58:49 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING name
Feb 19 15:58:49 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING price
Feb 19 15:58:49 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING name
Feb 19 15:58:49 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING price
Feb 19 15:58:49 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING name
Feb 19 15:58:49 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING price
Feb 19 15:58:49 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING name
Feb 19 15:58:49 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING price
Feb 19 15:58:49 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING name
Feb 19 15:58:49 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING price
Feb 19 15:58:49 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING name
Feb 19 15:58:49 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING price
Feb 19 15:58:49 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING name
Feb 19 15:58:49 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING price
Feb 19 15:58:49 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: Cloaker(22) buildIcon 18 MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING buildIconNum
Feb 19 15:58:49 stars SMPrd: Cloaker(22) buildIcon 18 MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING shoppable
Feb 19 15:58:49 stars SMPrd: Cloaker(22) buildIcon 18 MERGING name
Feb 19 15:58:49 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING name
Feb 19 15:58:49 stars SMPrd: Cloaker(22) buildIcon 18 MERGING price
Feb 19 15:58:49 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING price
Feb 19 15:58:49 stars SMPrd: [CONFIG] Merging Categories
Feb 19 15:58:49 stars SMPrd: [CONFIG] Writing merged config
Feb 19 15:58:50 stars SMPrd: [CONFIG] CONFIG FILE IMPORT DONE AND MERGED
Feb 19 15:58:51 stars SMPrd: [CONFIG] CONFIG FILE IMPORT FOUND: /opt/prodStarmade/StarMade/./customBlockConfig/BlockConfigImport.xml
Feb 19 15:58:51 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING name
Feb 19 15:58:51 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING price
Feb 19 15:58:51 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING name
Feb 19 15:58:51 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING price
Feb 19 15:58:51 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Warhead(14) buildIcon 17 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Warhead(14) buildIcon 17 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Warhead(14) buildIcon 17 MERGING name
Feb 19 15:58:51 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Warhead(14) buildIcon 17 MERGING price
Feb 19 15:58:51 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING name
Feb 19 15:58:51 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING price
Feb 19 15:58:51 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING name
Feb 19 15:58:51 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING price
Feb 19 15:58:51 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING name
Feb 19 15:58:51 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING price
Feb 19 15:58:51 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING name
Feb 19 15:58:51 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING price
Feb 19 15:58:51 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING name
Feb 19 15:58:51 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING price
Feb 19 15:58:51 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING name
Feb 19 15:58:51 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING price
Feb 19 15:58:51 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING name
Feb 19 15:58:51 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING price
Feb 19 15:58:51 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING name
Feb 19 15:58:51 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING price
Feb 19 15:58:51 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING name
Feb 19 15:58:51 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING price
Feb 19 15:58:51 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING name
Feb 19 15:58:51 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING price
Feb 19 15:58:51 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: Cloaker(22) buildIcon 18 MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING buildIconNum
Feb 19 15:58:51 stars SMPrd: Cloaker(22) buildIcon 18 MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING shoppable
Feb 19 15:58:51 stars SMPrd: Cloaker(22) buildIcon 18 MERGING name
Feb 19 15:58:51 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING name
Feb 19 15:58:51 stars SMPrd: Cloaker(22) buildIcon 18 MERGING price
Feb 19 15:58:51 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING price
Feb 19 15:58:51 stars SMPrd: [CONFIG] Merging Categories
Feb 19 15:58:51 stars SMPrd: [CONFIG] Writing merged config
Feb 19 15:58:51 stars SMPrd: [CONFIG] CONFIG FILE IMPORT DONE AND MERGED
Feb 19 15:58:51 stars SMPrd: [CONFIG] CONFIG FILE IMPORT FOUND: /opt/prodStarmade/StarMade/./customBlockConfig/BlockConfigImport.xml
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING name
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING price
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING name
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING price
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 MERGING name
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 MERGING price
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING name
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING price
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING name
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING price
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING name
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING price
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING name
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING price
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING name
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING price
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Drain Computer(46) buildIcon 12 MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Drain Computer(46) buildIcon 12 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Drain Module(40) buildIcon 13 MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Drain Module(40) buildIcon 13 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Supply Computer(54) buildIcon 14 MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Supply Computer(54) buildIcon 14 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Supply Module(48) buildIcon 15 MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Supply Module(48) buildIcon 15 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Cloaker(22) buildIcon 18 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Cloaker(22) buildIcon 18 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Cloaker(22) buildIcon 18 MERGING name
Feb 19 15:58:52 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Cloaker(22) buildIcon 18 MERGING price
Feb 19 15:58:52 stars SMPrd: Cloaker(22) buildIcon 18 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: [CONFIG] Merging Categories
Feb 19 15:58:52 stars SMPrd: [CONFIG] Writing merged config
Feb 19 15:58:52 stars SMPrd: [CONFIG] CONFIG FILE IMPORT DONE AND MERGED
Feb 19 15:58:52 stars SMPrd: [CONFIG] CONFIG FILE IMPORT FOUND: /opt/prodStarmade/StarMade/./customBlockConfig/BlockConfigImport.xml
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING name
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 MERGING price
Feb 19 15:58:52 stars SMPrd: Grey Hull(598) buildIcon 530 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING name
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 MERGING price
Feb 19 15:58:52 stars SMPrd: Power Reactor(2) buildIcon 16 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 MERGING name
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 MERGING price
Feb 19 15:58:52 stars SMPrd: Warhead(14) buildIcon 17 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING name
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 MERGING price
Feb 19 15:58:52 stars SMPrd: Transporter Controller(687) buildIcon 620 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING name
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 MERGING price
Feb 19 15:58:52 stars SMPrd: Transporter Module(688) buildIcon 621 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 MERGING price
Feb 19 15:58:52 stars SMPrd: Shield Capacitor(3) buildIcon 23 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING name
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 MERGING price
Feb 19 15:58:52 stars SMPrd: Shield-Recharger(478) buildIcon 405 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING name
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING name
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 MERGING price
Feb 19 15:58:52 stars SMPrd: Stop Effect Computer(460) buildIcon 387 AFTER MERGING price
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING buildIconNum
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING shoppable
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 MERGING name
Feb 19 15:58:52 stars SMPrd: Stop Effect Module(461) buildIcon 388 AFTER MERGING name

...this loop continues until killing the java process...

Then I deleted:

Feb 19 15:59:53 stars SMPrd: deleting customBlockConfig/BlockConfigImport.xml

Now the server starts...but the missing "new" blocks are still not found in-game.

A copy of our BlockConfigImport.xml file is included above, and until today's deletion, that file had not been touched for ~6 months.

Disks have no issues; hardware (SMART) checks report no defects, and filesystem checks report no errors. There's over 100GB of free disk space, no quotas or other forms of limitations.

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Multiplayer
Reproducible
uncertain
Last tested (version)
0.199.435
Category
Blockconfig
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Serverconfig (server.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
Clientconfig (settings.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
erthparadine added a comment.EditedFeb 19 2017, 5:37 PM

Update after further testing:

  • Player-run shops cannot see new pipes, nor grates.
  • NPC shops show grates and the new pipes, but they're tagged "Can't buy"
  • Confirming that creative mode cannot see the new pipes nor grates; only pipe option is the straight one, can rotate it only, no T or other options, and a search of creative inventory for "grate" returns nothing.
  • Factory can no longer manufacturer "White Light Pipe"
lancake claimed this task.Feb 19 2017, 8:44 PM

-validated-

lancake shifted this object from the S1 Public space to the S3 Starmade space.Feb 19 2017, 8:45 PM
lancake triaged this task as "High" priority.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake changed Affected Gamemode(s) from none/unspecified to Multiplayer.
lancake set Last tested (version) to 0.199.435.
lancake changed Category from none/unspecified to Blockconfig.
lancake moved this task from New / Unconfirmed to Feedback on the Issue Navigation board.
erthparadine added a comment.EditedFeb 20 2017, 8:23 PM

Upon followup discussions with @lancake this issue was most likely specific to grates.

@lancake was able to see grates and pipes without issues.

I am now able to also see grates after removing playerdata/playerstate files, and restarting server. Simply logging-out, waiting for server to timeout and write files, clearing client cache, and relogging, was not sufficient; after a server restart, and logging in from a different platform, is when the grate module was finally visible for this player from both tested platforms (Linux & macOS).

As for visibility of alternate pipe shapes...I'm uncertain how I feel about that: once I could see grates, I also look at pipes again...and my menubar showed the "+" menu option after a purchase. Whereas when grates were not visible, a purchase resulted in just the straight pipe module shown. I do not remember scrolling over the pipe slot when grates where not visible on server...so there's a chance that all pipe shapes were visible this entire time...just confusing...

A UI suggestion: put a "+" for each slot with multiple shapes, even if a specific shape is selected. This at least help encourage the player to explore that menu slot to determine why that "+" is there.

Restricted Application added a project: Blockconfig. · View Herald TranscriptMar 10 2017, 5:41 PM
AndyP moved this task from Backlog / Unclassed to Alpha on the Blockconfig board.Mar 11 2017, 7:10 PM
Restricted Application removed a project: Blockconfig. · View Herald TranscriptMar 11 2017, 7:10 PM